<?php
/**
 * N3Download (Nesquik Download)
 *
 * Система представляет собой скрипт загруз-центра
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: N3squ1k (Несквик)
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */

function clock ($time) {
	$date = date('j M в H:i:s', $time);
	
	if (date('j n Y', $time) == date('j n Y', time())) {
		$date = 'Сегодня в '.date('H:i:s', $time);
	} elseif (date('j n Y', $time) == date('j n Y', time() - 86400)) {
		$date = 'Вчера в '.date('H:i:s', $time);
	}
	
	return strtr($date, array('Jan' => 'Янв', 'Feb' => 'Фев', 'Mar' => 'Мар', 'Apr' => 'Апр', 'May' => 'Мая', 'Jun' => 'Июн', 'Jul' => 'Июл', 'Aug' => 'Авг', 'Sep' => 'Сен', 'Oct' => 'Окт', 'Nov' => 'Ноя', 'Dec' => 'Дек'));
}
 
function require_header ($title = 'Партнерская программа') {
	ob_start ();

	if (file_exists(dirname(__FILE__).'/header.php')) {
		require_once (dirname(__FILE__).'/header.php');
	} else {
		exit ('Немогу подключить файл header.php!');
	}
}

function require_footer () {
	ob_end_flush ();

	if (file_exists(dirname(__FILE__).'/footer.php')) {
		require_once (dirname(__FILE__).'/footer.php');
	} else {
		exit ('Немогу подключить файл footer.php!');
	}
}

function size ($filesize) {
	if ($filesize >= 1073741824) {
		return round($filesize / 1073741824, 2).' гб';
	}
	else if ($filesize >= 1048576) {
		return round($filesize / 1048576, 2).' мб';
	}
	else if ($filesize >= 1024) {
		return round($filesize / 1024, 2).' кб';
	}
	else {
		return round($filesize).' байт';
	}
}

function error ($error) {
	header('Refresh: 2, url='.SCRIPT);
	require_header($error);
	echo '<div class="error">'.$error.'</div>';
	exit(require_footer());
}

function GetName ($col, $name_one, $name_two, $name_three) {
	$col = abs($col) % 100;
	$intval = $col % 10;
	
	if ($col > 10 && $col < 20) {
		return $col.' '.$name_three;
	}
	else if ($intval > 1 && $intval < 5) {
		return $col.' '.$name_two;
	}
	else if ($intval == 1) {
		return $col.' '.$name_one;
	}
	
	return $col.' '.$name_three;
}

function page ($k_page = 1, $page = 1) {

	if (isset($_POST['page'])) {
		$page = abs(intval($_POST['page']));
	} else {
		$page = isset($_GET['page']) ? abs(intval($_GET['page'])) : 1;
	}
	
	if ($page < 1) {
		$page = 1;
	}
		
	if ($page > $k_page) {
		$page = $k_page;
	}
		
	return $page;
}

function k_page ($k_post = 0, $k_p_str = 10) {
	return $v_pages = ($k_post != 0) ? ceil($k_post / $k_p_str) : 1;
}

function navigation ($link = null, $k_page = 1, $page = 1, $hidden = false) {
	
	echo '<div class="block">';
		
	echo ($page > 1 ? '<a href="'.$link.'page.'.($page - 1).'">Назад</a> ' : 'Назад').' | '.($k_page > $page ? ' <a href="'.$link.'page.'.($page + 1).'">Далее</a>' : 'Далее');
	
	if ($hidden == false) {
	
		echo '<br/>';
			
		echo ($page != 1) ? '<a href="'.$link.'page.1">1</a>' : '[<b>1</b>]';

		for ($i =- 3; $i <= 3; $i++) {
		
			if ($page + $i > 1 && $page + $i < $k_page) :
					
				if ($i ==- 3 && $page + $i > 2) {
					echo ' <a>..</a>'; 
				}
					
				echo ($i != 0) ? ' <a href="'.$link.'page.'.($page + $i).'">'.($page + $i).'</a>' : ' [<b>'.($page + $i).'</b>]';

				if ($i == 3 && $page + $i < $k_page - 1) {
					echo ' <a>..</a>';
				}
					
			endif;
			
		}
			
		echo ($page != $k_page) ? ' <a href="'.$link.'page.'.$k_page.'">'.$k_page.'</a>' : ' [<b>'.$k_page.'</b>]';

		echo '<br/>
		<form action="" method="post">
		Cтр. <input type="text" name="page" maxlength="4" size="3" value="'.$page.'"/><input type="submit" value="&raquo;&raquo;"/></form>';
		
	}
	
	echo '</div>';
}

function translate1 ($text){
	$str = explode('!', $text);
	$a = array('_','YA','Ya','ya','yee','YO','yo','Yo','ZH','zh','Zh','Z','z','CH','ch','Ch','SH','sh','Sh','YE','ye','Ye','YU','yu','Yu','JA','ja','Ja','A','a','B','b','V','v','G','g','D','d','E','e','I','i','J','j','K','k','L','l','M','m','N','n','O','o','P','p','R','r','S','s','T','t','U','u','F','f','H','h','W','w','x','q','Y','y','C','c','!');
	$b = array(' ','Я','Я','я','ые','Ё','ё','Ё','Ж','ж','Ж','З','з','Ч','ч','Ch','Ш','ш','Ш','Э','э','Э','Ю','ю','Ю','Я','я','Я','А','а','Б','б','В','в','Г','г','Д','д','Е','е','И','и','Й','й','К','к','Л','л','М','м','Н','н','О','о','П','п','Р','р','С','с','Т','т','У','у','Ф','ф','Х','х','Щ','щ','ъ','ь','Ы','ы','Ц','ц','');
	return $str[0].str_replace($a, $b, $str[1]);
}


function retranslate ($text){
	$a = array('_','YA','Ya','ya','yee','YO','yo','Yo','ZH','zh','Zh','Z','z','CH','ch','Ch','SH','sh','Sh','YE','ye','Ye','YU','yu','Yu','JA','ja','Ja','A','a','B','b','V','v','G','g','D','d','E','e','I','i','J','j','K','k','L','l','M','m','N','n','O','o','P','p','R','r','S','s','T','t','U','u','F','f','H','h','W','w','x','q','Y','y','C','c','!');
	$b = array(' ','Я','Я','я','ые','Ё','ё','Ё','Ж','ж','Ж','З','з','Ч','ч','Ch','Ш','ш','Ш','Э','э','Э','Ю','ю','Ю','Я','я','Я','А','а','Б','б','В','в','Г','г','Д','д','Е','е','И','и','Й','й','К','к','Л','л','М','м','Н','н','О','о','П','п','Р','р','С','с','Т','т','У','у','Ф','ф','Х','х','Щ','щ','ъ','ь','Ы','ы','Ц','ц','');
	return str_replace($b, $a ,$text);
}

function delete ($text) {
	return strtr ($text, array('&' => '', '$' => '', '>' => '', '<' => '', '~' => '', '`' => '', '#' => '', '*' => ''));
}

function translate2 ($text) {
	return str_replace('_', ' ', $text);
}

function scan ($path) {
	static $array;
	
	chmod($path, 0777);

	foreach (glob($path.'/*') as $file) {
		
		if (is_dir($file)) {
			$array[] = str_replace('../', '', $file.'/');
			scan($file);
		} else {
			if (basename($file) !== 'Thumbs.db') {
				$array[] = str_replace('../', '', $file);
			}
		}
		
	}
	
	return $array;
}

function bbcode ($text) {
	$text = preg_replace('/\[b\](.*?)\[\/b]/i', '<b>\1</b>', $text);
	$text = preg_replace('/\[s\](.*?)\[\/s]/i', '<s>\1</s>', $text);
	$text = preg_replace('/\[i\](.*?)\[\/i]/i', '<i>\1</i>', $text);
	$text = preg_replace('/\[u\](.*?)\[\/u]/i', '<u>\1</u>', $text);
	$text = preg_replace('/\[small\](.*?)\[\/small]/i', '<small>\1</small>', $text);
	$text = preg_replace('/\[color\=(.*?)\](.*?)\[\/color\]/i', '<span style="color:\1">\2</span>', $text);
	$text = preg_replace('/\[blink\](.*?)\[\/blink]/i', '<blink>\1</blink>', $text);
	$text = preg_replace('/\[size\=(.*?)\](.*?)\[\/size\]/i', '<span style="font-size:\1px;">\2</span>', $text);
	$text = preg_replace('/\[url\=(.*?)\](.*?)\[\/url\]/i', '<a href="\1">\2</a>', $text);
	return $text;
}

function check ($real, $value) {
	return ($real == $value ? 'checked="checked"' : null);
}
?>